/*
   ImageFileComponent gives a graphical representation of a file
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.                                       

   For more information look at the file COPYRIGHT in this package

*/





import java.awt.*;
import java.util.*;
import java.io.*;
import ImageComponent;

/**
 * Diese Klasse waehlt ein Icon anhand des uebergebenen
 * File-Objects und einer boolschen Variable.
 * Ist die boolsche Variable true, wird ein Icon
 * gewaehlt, dass einen "offenen" status darstellt
 *
 * Zur zeit werden nur zwei Icon Arten unterstuetz, einmal
 * Directrory Icons und zum anderen File Icons
 *
 *
 */


public class ImageFileComponent extends ImageComponent {


  public static String IconPath;


  File file;

  boolean lopen;
  String path;


  ImageFileComponent(File file,boolean lopen) {
    this.lopen=lopen;
    try {
      this.file=file;
      if (file.isDirectory()) {
            if (lopen == true) {
            	setImage("foldero.gif");
            } else {
                setImage("folder.gif");
            }
      } else {
    	setImage("recycled.gif");
      }
    } catch (Exception e) {
      System.out.println(e.getMessage());
      System.exit(-1);
    }
  }



}



