/*
   a simple directory viewe
   Copyright (C) 1997  Martin Vogt

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.

   For more information look at the file COPYRIGHT in this package

*/



import de.unikl.awtnode.*;

import java.awt.*;
import java.lang.*;

/**
 * An example with a Directory (extends AWTNode)
 * Make sure that the Icon-Path and the Directory path
 * is set correclty!
 */

public class example3 extends Frame {

  // Note:
  // a valid iconPath under windows must quote
  // each backslash
  // eg: "C:\\java\\packages\\awtnode-0.1\\examples\\icons"

  static String iconPath="C:\\sp\\java\\prog\\awtnode-0.1\\examples\\icons";

  //Note:
  // under windows a dirPath="C:\\" produces a NullPointerException
  // thus for demonstration better use dirPath="C:\\a_small_directory"
  // make sure that the directory doesnt contain to much
  // entries or the loading process takes to long
  // it crashes if you scan a large directory!

  static String dirPath="C:\\TMP";

  AWTNode root;


  public example3(String name,int width, int height) {
    super(name);

    ScrollPane spanel;



    // initialize ImageServer with corret icon-path
    ImageServer.iconPath=iconPath;


    // we want to create a root which has a pmCheckbox in front of it.
    root=new Directory(dirPath);

    spanel=new ScrollPane();
    spanel.add(root);
    spanel.setSize(width,height);

    add(spanel);


  }

 public static void main(String args[]) {
    example3 ex3=new example3("example3 - a new Directory class (extends AWTNode)",400,200);
    ex3.setSize(400,200);
    ex3.setVisible(true);
 }


}
