/*
   LinePoints describes lines given with a Start- and Endpoint
   Copyright (c) 1997 Fraunhofer-Einrichtung fuer Experimentelles
                      Software Engineering (IESE)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation.

   For more information look at the file COPYRIGHT in this package

*/


package de.unikl.awtnode;


import java.awt.*;

/**
  * Only a class which stores two Points.
  * This is useful if you want to describe a line, given with
  * the Startpoint and the EndPoint
  */


public class LinePoints {

  public Point a;
  public Point b;

  /**
   * Constructs a new line, described with its StartPoint,
   * and its EndPoint
   */

  LinePoints(Point a, Point b) {
    this.a=a;
    this.b=b;
  }
}

